#include <iostream>
using namespace std;

int a[1005];

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);

    int n, l; cin >> n >> l;
    for(int i = 1; i <= n; i++) cin >> a[i];

    for(int i = 1; i <= n; i++)
    {
        if(a[i] <= l)
        {
            return cout << i, 0;
        }
    }
    cout << "-1\n";
    return 0;
}